classification
Title: Python core crashes with associated files.
Type: crash Stage:
Components: Interpreter Core Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder: Crash when importing builtin module during interpreter shutdown
View: 4236
Assigned To: Nosy List: LambertDW, amaury.forgeotdarc, benjamin.peterson, christian.heimes
Priority: critical Keywords:

Created on 2008-10-29 03:23 by LambertDW, last changed 2008-11-12 21:17 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
coredump.tar.Z LambertDW, 2008-10-29 05:44 contains .timestamp, gdb, and .py files
Messages (7)
msg75310 - (view) Author: David W. Lambert (LambertDW) Date: 2008-10-29 03:23
class c(file):
    pass


2to3 says no changes required.
Might it possibly suggest a replacement for file class?

Thanks, Dave.
msg75311 - (view) Author: David W. Lambert (LambertDW) Date: 2008-10-29 05:44
python3k and I are having difficulty with File class, which in a version 
2 python release extended the file type with methods to read through a 
file until some condition is found.
msg75328 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-10-29 20:31
I'm going to close this because inferring the correct type to replace
here is really beyond 2to3's capabilities. (I would recommend you look
at the io library for a replacement.)
msg75331 - (view) Author: David W. Lambert (LambertDW) Date: 2008-10-29 20:53
While trying to find a "file" replacement in the io library I managed to
get py3k to crash.  Please look at the file associated with the issue.

Thanks,
Dave.
msg75345 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-10-30 00:59
Closing in favor of #4236.
msg75348 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-10-30 01:05
There are actually three distinct issues here:
issue4233, issue4236, issue4237

Nice shot, David ;-)
msg75791 - (view) Author: David W. Lambert (LambertDW) Date: 2008-11-12 20:31
This problem was repaired by the python3.0 rc1+ of November 5 trunk
snapshot.  I suggest retirement of Issue4226.
History
Date User Action Args
2008-11-12 21:17:21benjamin.petersonsetstatus: open -> closed
resolution: fixed
2008-11-12 20:31:19LambertDWsetmessages: + msg75791
2008-10-30 01:08:56christian.heimessetstatus: closed -> open
nosy: + christian.heimes
resolution: duplicate -> (no value)
2008-10-30 01:05:08amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg75348
2008-10-30 00:59:13benjamin.petersonsetstatus: open -> closed
resolution: duplicate
superseder: Crash when importing builtin module during interpreter shutdown
messages: + msg75345
2008-10-29 21:00:42benjamin.petersonsetstatus: closed -> open
priority: critical
resolution: rejected -> (no value)
components: + Interpreter Core, - 2to3 (2.x to 3.x conversion tool)
title: Should 2to3 know that file type is gone? Python core crashes with associated files. -> Python core crashes with associated files.
2008-10-29 20:53:52LambertDWsetmessages: + msg75331
title: Should 2to3 know that file type is gone? -> Should 2to3 know that file type is gone? Python core crashes with associated files.
2008-10-29 20:31:06benjamin.petersonsetstatus: open -> closed
resolution: rejected
messages: + msg75328
nosy: + benjamin.peterson
2008-10-29 05:44:43LambertDWsetfiles: + coredump.tar.Z
type: enhancement -> crash
messages: + msg75311
2008-10-29 03:25:08LambertDWsettype: enhancement
components: + 2to3 (2.x to 3.x conversion tool)
versions: + Python 3.0
2008-10-29 03:23:18LambertDWcreate